#!/bin/sh

DLTYPE=@DLTYPE@

# Add new template types to this function.
libs() {
    case $1 in 
    libdl)
	echo "-ldl"
	;;
    esac
}

usage() {
	cat <<EOF
Usage: stubby-config [options]
Options:
	[--libs]
	[--template]
EOF
    exit $1
}


if test $# -eq 0; then
    usage 1 1>&2
fi

while test $# -gt 0; do
    case $1 in
    --libs)
	libs $DLTYPE
	;;
    --template)
	echo $DLTYPE
	;;
    --help)
	usage 0
	;;
    -h)
	usage 0
	;;
    esac
    
    shift
done

exit 0